mbed TLS v2.16.5

Data Fields
mbedtls_hmac_drbg_context Struct Reference

`#include <hmac_drbg.h>`

Collaboration diagram for mbedtls_hmac_drbg_context:
[legend]

## Data Fields
mbedtls_md_context_t | md_ctx
unsigned char | V [MBEDTLS_MD_MAX_SIZE]
int | reseed_counter
size_t | entropy_len
int | prediction_resistance
int | reseed_interval
int(* | f_entropy )(void *, unsigned char *, size_t)
void * | p_entropy
mbedtls_threading_mutex_t | mutex

## Detailed Description

HMAC_DRBG context.

Definition at line 87 of file hmac_drbg.h.

## Field Documentation

## ◆ entropy_len

size_t mbedtls_hmac_drbg_context::entropy_len

entropy bytes grabbed on each (re)seed

Definition at line 96 of file hmac_drbg.h.

## ◆ f_entropy

int(* mbedtls_hmac_drbg_context::f_entropy) (void *, unsigned char *, size_t)

entropy function

Definition at line 102 of file hmac_drbg.h.

## ◆ md_ctx

mbedtls_md_context_t mbedtls_hmac_drbg_context::md_ctx

HMAC context (inc. K)

Definition at line 91 of file hmac_drbg.h.

## ◆ mutex

mbedtls_threading_mutex_t mbedtls_hmac_drbg_context::mutex

Definition at line 106 of file hmac_drbg.h.

## ◆ p_entropy

void* mbedtls_hmac_drbg_context::p_entropy

context for the entropy function

Definition at line 103 of file hmac_drbg.h.

## ◆ prediction_resistance

int mbedtls_hmac_drbg_context::prediction_resistance

enable prediction resistance (Automatic reseed before every random generation)

Definition at line 97 of file hmac_drbg.h.

## ◆ reseed_counter

int mbedtls_hmac_drbg_context::reseed_counter

reseed counter

Definition at line 93 of file hmac_drbg.h.

## ◆ reseed_interval

int mbedtls_hmac_drbg_context::reseed_interval

reseed interval

Definition at line 99 of file hmac_drbg.h.

## ◆ V

unsigned char mbedtls_hmac_drbg_context::V[MBEDTLS_MD_MAX_SIZE]

V in the spec

Definition at line 92 of file hmac_drbg.h.

The documentation for this struct was generated from the following file:

- hmac_drbg.h